#include <avr/io.h>
#include <util/delay.h>

// !!!!!!!! ggf Abndern
#define Taster	!(PINB & (1<<PINB4))			// PINC.6 Taster an PullUp


unsigned char State;
unsigned int Counter;


int main(void)
{
	State = 0;									// State = 0


	// !!!!!!!! ggf Abndern
	// Ausgang PB3
	// Eingang PB4
	PORTB = 0x00;
	DDRB = 0b0000100;	// <-- Fr den Ausganspin muss hier eine 1 stehen



	while(1)									// Endlosschleife
	{
		if(Taster)								// Wenn Taster gedrckt					
		{
			if (State == 0)
			{
				State = 1;						// Falls State = 0 --> State = 1
			}
			else
			{
				State = 0;						// Falls State = 1 --> State = 0
			}
		}

		while (Taster) {;}						// Warten bis Taster losgelassen wird


		if (State == 1)							// Wenn State = 1
		{
			Counter++;							// State inkrementieren
		}
		else
		{
			Counter = 0;						// Ansonsten Counter auf 0
		}

		if (Counter > 1200)						// Wenn Counter > 1200
		{										// 100ms * 10 * 60 * 2 = 2min
			State = 0;							// State auf 0 zurck
		}

		if (State == 1)							// Wenn State = 1
		{
			PORTB |= (1<<PB3);					// Ausgang ein
		}
		else
		{
			PORTB &= ~(1<<PB3);					// Ausgang aus
		}
	
		_delay_ms(100);							// 100ms warten
	}

	return 0;
}
